Subject: bug#21530: 25.0.50; tty menus disappearing

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Sep 2015 20:06:24 +0300

> From: Mark Oteiza <[email-masked]>
> Date: Thu, 24 Sep 2015 12:24:46 -0400
> 
> I think I gave an incomplete recipe, because I can't reproduce from it
> either. I forgot to mention enabling also display-battery-mode, but that
> of course requires having a battery or fooling the mode into thinking
> you do.

No, you don't have to have a battery to invoke display-battery-mode.

Thanks, with this I can reproduce the problem here.  It looks like the
problem is that display-battery-mode forces redisplay by calling
sit-for (display-time-mode wisely doesn't).